TAU_GET_COUNTER_NAME(3)

NAME
TAU_GET_COUNTER_NAMES - Gets the counter names

SYNOPSIS

C/C++:

TAU_GET_COUNTER_NAMES(char **counterList, int numCounters);

DESCRIPTION

TAU_GET_COUNTER_NAMES returns the list of counter names and the number of counters used for measurement. When wallclock time is used, the counter name of "default" is returned.

EXAMPLE

C/C++ :

int numOfCounters;
const char ** counterList;
TAU_GET_COUNTER_NAMES(counterList, numOfCounters);
for(int j=0;j<numOfCounters;j++){
  cout << "The counter names so far are: " << counterList[j] << endl;
}

SEE ALSO

TAU_GET_FUNC_NAMES(3), TAU_GET_FUNC_VALS(3)